Bug 1449122 - mintlocale: mintlocale requires both Python 2 and Python 3
Summary: mintlocale: mintlocale requires both Python 2 and Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mintlocale
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2017-05-09 09:22 UTC by Iryna Shcherbina
Modified: 2017-05-14 20:18 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-14 20:18:56 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-05-09 09:22:37 UTC
The mintlocale RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 leigh scott 2017-05-09 22:12:43 UTC
(In reply to Iryna Shcherbina from comment #0)
> The mintlocale RPM requires both Python 2 and Python 3.
> 
> Except in very special circumstances, there is no need for one package
> to drag in both Python stacks. Usually, this is a packaging error: for
> example, a stray "/usr/bin/python" shebang in a Python 3 package can
> introduce a Python 2 dependency.
>

The deps are correct, some code is python2 (mintlocale.py) and there is python3 code (set-default-locale).
Removing either shebang resulted in a broken package.
 
> Please split your package, or remove the stray dependencies.
> There is a section on shebangs in the Python RPM Porting Guide [0]
> which covers this issue.
> 

So I split the package.

> It's ok to do this in Rawhide only, however, it would be greatly
> appreciated if you could push it to Fedora 25 as well.
>

Comment 2 Fedora Update System 2017-05-09 22:18:19 UTC
mintlocale-1.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c49aa64fad

Comment 3 Fedora Update System 2017-05-13 01:09:09 UTC
mintlocale-1.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c49aa64fad

Comment 4 Fedora Update System 2017-05-14 20:18:56 UTC
mintlocale-1.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.